This is the complete list of members for CurveCreator_Utils, including all inherited members.
constructBSpline(const Handle(TColgp_HArray1OfPnt)&thePoints, const Standard_Boolean theIsClosed, Handle(Geom_BSplineCurve)&theBSpline) | CurveCreator_Utils | static |
constructCurve(const TopoDS_Shape theShape, CurveCreator_Curve *theCurve, gp_Ax3 &theLocalCS) | CurveCreator_Utils | static |
constructShape(const CurveCreator_ICurve *theCurve, TopoDS_Shape &theShape) | CurveCreator_Utils | static |
ConstructWire(Handle(TColgp_HArray1OfPnt) thePoints, const bool theIsPolyline, const bool theIsClosed) | CurveCreator_Utils | static |
ConvertClickToPoint(int x, int y, Handle(V3d_View) theView) | CurveCreator_Utils | static |
ConvertPointToClick(const gp_Pnt &thePoint, Handle(V3d_View) theView, int &x, int &y) | CurveCreator_Utils | static |
FindPlane(const Handle(TColgp_HArray1OfPnt)&thePoints, gp_Pln &thePlane, Standard_Integer &thePlnStatus) | CurveCreator_Utils | protectedstatic |
getSelectedPoints(Handle(AIS_InteractiveContext) theContext, const CurveCreator_ICurve *theCurve, CurveCreator_ICurve::SectionToPointList &thePoints) | CurveCreator_Utils | static |
Handle(TColgp_HArray1OfPnt) getPoints(const TopoDS_Shape &theShape | CurveCreator_Utils | protectedstatic |
hasProjectPointOnCurve(Handle(V3d_View) theView, const int theX, const int theY, const Handle(Geom_Curve)&theCurve, Standard_Real &theParameter, int &theDelta) | CurveCreator_Utils | protectedstatic |
IsBSpline | CurveCreator_Utils | protected |
IsClosed | CurveCreator_Utils | protected |
isEqualPixels(const int theX, const int theY, const int theOtherX, const int theOtherY, const double theTolerance, int &theDelta) | CurveCreator_Utils | protectedstatic |
isEqualPoints(const gp_Pnt &thePoint, const gp_Pnt &theOtherPoint) | CurveCreator_Utils | protectedstatic |
pointOnObject(Handle(V3d_View) theView, Handle(AIS_InteractiveObject) theObject, const int theX, const int theY, gp_Pnt &thePoint, gp_Pnt &thePoint1, gp_Pnt &thePoint2) | CurveCreator_Utils | static |
setLocalPointContext(const CurveCreator_ICurve *theCurve, Handle(AIS_InteractiveContext) theContext, const bool theOpen) | CurveCreator_Utils | static |
setSelectedPoints(Handle(AIS_InteractiveContext) theContext, const CurveCreator_ICurve *theCurve, const CurveCreator_ICurve::SectionToPointList &thePoints=CurveCreator_ICurve::SectionToPointList()) | CurveCreator_Utils | static |